[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

RE: Errore raw1394




> From: pinkof.pallus@tiscalinet.it
> Subject: Re: Errore raw1394
> 
> On Fri, Apr 18, 2008 at 05:10:33PM +0200, Gabriele Pongelli wrote:
>> innanzitutto, che cos'è l'ABI ?
> 
>  http://en.wikipedia.org/wiki/Application_binary_interface

ok, leggerò... 


>> forse il sottosistema firewire (non credo sia il sottosistema perché
>> sto usando quello vecchio e non quello nuovo) ?
> 
> ripensandoci, mi pare proprio che il nome stesso raw1394 indica il
> modulo vecchio stile.
> 
> Potrebbe essere quindi l'esatto contrario di quel che dicevo, ovvero un
> programma userspace che vuole i moduli nuovi ma si ritrova i vecchi,  o
> un miscuglio di moduli vecchi e nuovi caricati (ma mi pare improbabile
> riuscire a realizzare tale situazione). [ma temo di peggio, vedi sotto]
> 
> I "vecchi" kernels hanno
> 
> # IEEE 1394 (FireWire) support
> #
> CONFIG_IEEE1394=m
> 
> #
> # Subsystem Options
> #
> # CONFIG_IEEE1394_VERBOSEDEBUG is not set
> CONFIG_IEEE1394_OUI_DB=y
> CONFIG_IEEE1394_EXTRA_CONFIG_ROMS=y
> CONFIG_IEEE1394_CONFIG_ROM_IP1394=y
> # CONFIG_IEEE1394_EXPORT_FULL_API is not set
> 
> #
> # Device Drivers
> #
> CONFIG_IEEE1394_PCILYNX=m
> CONFIG_IEEE1394_OHCI1394=m
> 
> #
> # Protocol Drivers
> #
> CONFIG_IEEE1394_VIDEO1394=m
> CONFIG_IEEE1394_SBP2=m
> CONFIG_IEEE1394_ETH1394=m
> CONFIG_IEEE1394_DV1394=m
> CONFIG_IEEE1394_RAWIO=m
> 
> Le chiavi in piu` del firewire sono dei nuovi moduli.

un grep -i ieee1394 sul mio ultimo config restituisce  
CONFIG_IEEE1394=y
# CONFIG_IEEE1394_VERBOSEDEBUG is not set
CONFIG_IEEE1394_PCILYNX=m
CONFIG_IEEE1394_OHCI1394=m
CONFIG_IEEE1394_VIDEO1394=m
CONFIG_IEEE1394_SBP2=m
# CONFIG_IEEE1394_SBP2_PHYS_DMA is not set
CONFIG_IEEE1394_ETH1394_ROM_ENTRY=y
CONFIG_IEEE1394_ETH1394=m
# CONFIG_IEEE1394_DV1394 is not set
CONFIG_IEEE1394_RAWIO=y

come dicevo ho compilato il vecchio stack firewire, altrimenti kino non mi trovava la videocamera...
il nuovo supporto ha chiave CONFIG_FIREWIRE ...


> Probabilmente devi anche controllare nella descrizione e nei suggerimenti
> in /usr/share/doc/ dei pacchetti con le librerie per il firewire 
> 
> Ma temo che, usando kernels dal 2.6.23 in poi, dovrai attendere un
> aggiornamento del programma userspace:
> 
>    Linkname: raw1394: old iso ABI has been removed - Google Search
>         URL: http://www.google.com/search?q=raw1394%3A+old+iso+ABI+has+been+removed&num=100
> 
>    Linkname: Re: [Ekiga-devel-list] ekiga 2.1.0 svn. No output from webcam ...
>         URL: http://www.mail-archive.com/ekiga-devel-list@gnome.org/msg01056.html

questi due link li avevo già visti tutti...
eppure ekiga è la versione 2.0.11 e sul sito c'è la 2.0.12, quindi la testing non è neanche poi molto indietro...

proverò col nuovo stack firewire, anche se non credo di risolvere, ma se dovessi riuscirci so già che kino non andrebbe, quindi dovrei aspettare una nuova release di kino che s'adatti al nuovo sottosistema...

Grazie ancora!
_________________________________________________________________
Vuoi diventare il numero 1 della community? Scarica il gadget!
http://votalospaces.spaces.live.com/

Reply to: